@page "/Statistics/Summary"
@inject Microsoft.Extensions.Localization.IStringLocalizer<App> Localize
@inject DataService DS
@inject SessionData SD
@inject IJSRuntime JSRuntime
@using BioMap
@inherits ProtectedPage

<div class="box">
  <div class="row header">
  </div>
  <div class="row content">
    <h1>@Localize["Summary"]</h1>

    <div class="card">
      <div class="card-body">
        <h5 class="card-title text-center">@Localize["Different Individuals"]</h5>
        <table class="table table-sm table-striped text-right">
          <thead>
            <tr>
              <th scope="col">@Localize["Conditions"]</th>
              <th scope="col">@Localize["All Years"]</th>
              @for (int year = ProjectYearBegin;year <= ProjectYearEnd;year++) {
                <th scope="col">@year</th>
              }
            </tr>
          </thead>
          <tbody>
            @foreach (var dby in this.IndividualData) {
              <tr>
                <td scope="col">@dby.Name</td>
                <td scope="col">@dby.AllYears</td>
                @for (int year = ProjectYearBegin;year <= ProjectYearEnd;year++) {
                  <td scope="col">@dby.ByYear[year-ProjectYearBegin]</td>
                }
              </tr>
            }
          </tbody>
        </table>
        <p class="text-center">
          @Localize["Gezählt werden alle verschiedenen Individuen,die im jeweiligen Zeitraum mindestens einmal die Bedingungen erfüllen."]
        </p>
      </div>
      <div class="card-footer">
        <CheckBox Checked="ShowDetails" CheckedChanged="(e)=>{ ShowDetails=e; RefreshData(); }" LabelText=@Localize["Show details"] />
      </div>
    </div>
    <p></p>
    <div class="card">
      <div class="card-body">
        <h5 class="card-title text-center">@Localize["Anonyme"] @this.SD.CurrentProject.SpeciesSciName</h5>
        <table class="table table-sm table-striped text-right">
          <thead>
            <tr>
              <th scope="col">@Localize["Stadium"]</th>
              <th scope="col">@Localize["All Years"]</th>
              @for (int year = ProjectYearBegin; year <= ProjectYearEnd; year++) {
                <th scope="col">@year</th>
              }
            </tr>
          </thead>
          <tbody>
            @foreach (var dby in this.AnonymeData) {
              <tr>
                <td scope="col">@dby.Name</td>
                <td scope="col">@dby.AllYears</td>
                @for (int year = ProjectYearBegin; year <= ProjectYearEnd; year++) {
                  <td scope="col">@dby.ByYear[year - ProjectYearBegin]</td>
                }
              </tr>
            }
          </tbody>
        </table>
        <p class="text-center">
          @Localize[""]
        </p>
      </div>
    </div>
    <p></p>
    <div class="card">
      <div class="card-body">
        <h5 class="card-title text-center">@Localize["Other elements"]</h5>
        <table class="table table-sm table-striped text-right">
          <thead>
            <tr>
              <th scope="col"></th>
              <th scope="col">@Localize["All Years"]</th>
              @for (int year = ProjectYearBegin;year <= ProjectYearEnd;year++) {
                <th scope="col">@year</th>
              }
            </tr>
          </thead>
          <tbody>
            @foreach (var dby in this.OtherData) {
              <tr>
                <td scope="col">@dby.Name</td>
                <td scope="col">@dby.AllYears</td>
                @for (int year = ProjectYearBegin;year <= ProjectYearEnd;year++) {
                  <td scope="col">@dby.ByYear[year-ProjectYearBegin]</td>
                }
              </tr>
            }
          </tbody>
        </table>
        <p class="text-center">
          @Localize[""]
        </p>
      </div>
    </div>
    <p></p>
    <div class="card">
      <div class="card-body">
        <h5 class="card-title text-center">@Localize["ByCategories"]</h5>
        <table class="table table-sm table-striped text-right">
          <thead>
            <tr>
              <th scope="col">@Localize["Category"]</th>
              <th scope="col">@Localize["All Years"]</th>
              @for (int year = ProjectYearBegin;year <= ProjectYearEnd;year++) {
                <th scope="col">@year</th>
              }
            </tr>
          </thead>
          <tbody>
            @foreach (var dby in this.CatData) {
              <tr>
                <td scope="col">@dby.Name</td>
                <td scope="col">@dby.AllYears</td>
                @for (int year = ProjectYearBegin;year <= ProjectYearEnd;year++) {
                  <td scope="col">@dby.ByYear[year-ProjectYearBegin]</td>
                }
              </tr>
            }
          </tbody>
        </table>
        <p class="text-center">
          @Localize[""]
        </p>
      </div>
    </div>
  </div>
</div>

@code {
}
